Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
wine-0.9.45 failed to emerge!
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
g0rg0n
n00b
n00b


Joined: 18 Feb 2006
Posts: 53

PostPosted: Sun Nov 23, 2008 1:25 pm    Post subject: wine-0.9.45 failed to emerge! Reply with quote

hello

i tried to downgrade wine to 0.9.45 which is not in current portage
but the emerge failed.

the ebuild is from
http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-emulation/wine/?hideattic=0

here is the build.log
http://progsoc.org/~chcjswo/build.log
_________________
DoTA, anyone?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sun Nov 23, 2008 1:50 pm    Post subject: Reply with quote

Why do you want to downgrade?

I think we only need the last ~ 50 lines of the build log, you might as well paste them here or via http://rafb.net/paste/
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43009
Location: 56N 3W

PostPosted: Sun Nov 23, 2008 1:55 pm    Post subject: Reply with quote

g0rg0n,
Your error is
Code:
In file included from /usr/include/openssl/ssl.h:183,
                 from internet.h:47,
                 from internet.c:66:
/usr/include/openssl/x509.h:207: error: expected ‘)’ before numeric constant
That means the source code is broken.

I have a binary of that package compiled for an Athlon XP+ if thats any use to you.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
g0rg0n
n00b
n00b


Joined: 18 Feb 2006
Posts: 53

PostPosted: Sun Nov 23, 2008 3:46 pm    Post subject: Reply with quote

Quote:
Why do you want to downgrade?


i wanted to downgrade because there's problem when running frozen throne
with later versions of wine...

Quote:
That means the source code is broken.

I have a binary of that package compiled for an Athlon XP+ if thats any use to you.


awwwww it looks like i'll have to try version 1.1.9
_________________
DoTA, anyone?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum